{
  "accUserMode" : 2,
  "caption" : "学生",
  "codeName" : "studentPickupGridView",
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/studentPickupGridView.json",
  "gridRowActiveMode" : 2,
  "memo" : "系统自动添加",
  "name" : "studentPickupGridView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPMODULES/common.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "PickupGridView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "aggMode" : "NONE",
    "codeName" : "Main",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student/PSGRIDS/Main.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
      }
    },
    "groupMode" : "NONE",
    "logicName" : "主表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "姓名",
      "codeName" : "name",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "name",
      "excelCaption" : "姓名",
      "getLinkPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/studentEditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "linkValueItem" : "name",
      "name" : "name",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "NAME",
        "codeName" : "Name"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableLinkView" : true,
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "年龄",
      "codeName" : "age",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "age",
      "excelCaption" : "年龄",
      "name" : "age",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "AGE",
        "codeName" : "Age"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "单位",
      "codeName" : "department",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "department",
      "excelCaption" : "单位",
      "name" : "department",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "DEPARTMENT",
        "codeName" : "Department"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "地址",
      "codeName" : "address",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "address",
      "excelCaption" : "地址",
      "name" : "address",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ADDRESS",
        "codeName" : "Address"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "name",
      "getPSAppDEField" : {
        "name" : "NAME",
        "codeName" : "Name"
      }
    }, {
      "dataType" : 9,
      "name" : "age",
      "getPSAppDEField" : {
        "name" : "AGE",
        "codeName" : "Age"
      }
    }, {
      "dataType" : 25,
      "name" : "department",
      "getPSAppDEField" : {
        "name" : "DEPARTMENT",
        "codeName" : "Department"
      }
    }, {
      "dataType" : 25,
      "name" : "address",
      "getPSAppDEField" : {
        "name" : "ADDRESS",
        "codeName" : "Address"
      }
    }, {
      "dataType" : 25,
      "name" : "studentid",
      "getPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "pstudentid",
      "getPSAppDEField" : {
        "name" : "PSTUDENTID",
        "codeName" : "Pstudentid"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "STUDENTNAME",
        "codeName" : "StudentName"
      }
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "姓名",
      "codeName" : "name",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "name",
      "getPSAppDEField" : {
        "name" : "NAME",
        "codeName" : "Name"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "name"
      },
      "allowEmpty" : true
    }, {
      "caption" : "学生标识",
      "codeName" : "studentid",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "studentid",
      "getPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "studentid",
        "enableLinkView" : false
      },
      "allowEmpty" : true
    }, {
      "caption" : "学生标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "7b274ffd3d6bd73ac39b79b9d869f6a4",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student/PSSEARCHFORMS/Default.json",
    "logicName" : "默认搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEMS",
        "codeName" : "grouppanel1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel1",
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSUIActionGroup" : {
          "codeName" : "Usr0423242168",
          "name" : "学生门户界面行为组",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "caption" : "编辑(视图)",
            "detailType" : "DEUIACTION",
            "name" : "u5aae179",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "编辑(视图)",
              "codeName" : "calc_portlet_data_view",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "Student_calc_portlet_data_view",
              "name" : "计算门户编辑参数(视图)",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "calc_portlet_data_view"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "calc_portlet_data_view",
              "uIActionType" : "DEUIACTION",
              "uILogicAttachMode" : "REPLACE",
              "id" : "calc_portlet_data_view@Student"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "编辑",
            "detailType" : "DEUIACTION",
            "name" : "u655dc0f",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "编辑",
              "codeName" : "calc_portlet_data",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "Student_calc_portlet_data",
              "name" : "计算门户编辑参数",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "calc_portlet_data"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "calc_portlet_data",
              "uIActionType" : "DEUIACTION",
              "uILogicAttachMode" : "REPLACE",
              "id" : "calc_portlet_data@Student"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "删除",
            "detailType" : "DEUIACTION",
            "name" : "ubac0945",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "删除",
              "codeName" : "portlet_remove",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "Student_portlet_remove",
              "name" : "门户行为组删除",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
              },
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "portlet_remove",
              "uIActionType" : "DEUIACTION",
              "globalUIAction" : true,
              "id" : "portlet_remove@Student"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "Student__Usr0423242168"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "3833fac74ca15dcdb5fb08bdd7b830c7",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 0,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : false,
    "mobileSearchBar" : false
  }, {
    "caption" : "学生",
    "codeName" : "PickupGridViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "PickupGridView",
  "getPSDEViewId" : "06a76adef85f4de29c6879c1fba13d7e",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEPICKUPGRIDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "refFlag" : false,
  "title" : "学生选择表格视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEPICKUPGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableRowEdit" : false,
  "enableSearch" : true,
  "expandSearchForm" : true,
  "pickupMode" : true,
  "rowEditDefault" : false,
  "modelid" : "844d55abc01f4d65c8185036a363ca24",
  "modeltype" : "PSAPPDEVIEW"
}